> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slate-labs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Note

> Write a note to the customer activity feed.



## OpenAPI

````yaml /openapi.json post /customers/{customer_id}/activities/notes
openapi: 3.1.0
info:
  title: Slate API
  version: 1.0.0
  description: Trading infrastructure API.
servers:
  - url: https://api.{your-broker}.slate-labs.com
    variables:
      your-broker:
        default: broker
security: []
tags:
  - name: Authentication
  - name: API Tokens
  - name: Customers
  - name: Accounts
  - name: Orders
  - name: Instruments & Groups
  - name: Transactions
  - name: Payments
  - name: Transfers
  - name: Risk
  - name: Workflow & CRM
  - name: Messaging
  - name: Integrations
  - name: Webhooks
  - name: Compliance
  - name: Promo codes
  - name: Reporting
  - name: Audit
  - name: Fraud & moderation
  - name: Broker settings
  - name: Users
  - name: Roles & Teams
  - name: Streams (SSE)
  - name: Simulator
  - name: Observability
  - name: Prop trading
paths:
  /customers/{customer_id}/activities/notes:
    post:
      tags:
        - Customers
      summary: Create Note
      description: Write a note to the customer activity feed.
      operationId: create_note_customers__customer_id__activities_notes_post
      parameters:
        - name: customer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Customer Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NoteCreateRequest'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActivityResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    NoteCreateRequest:
      properties:
        body:
          type: string
          minLength: 1
          title: Body
      type: object
      required:
        - body
      title: NoteCreateRequest
    ActivityResponse:
      properties:
        id:
          type: integer
          title: Id
        customer_id:
          type: string
          format: uuid
          title: Customer Id
        agent_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Agent Id
        agent_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Agent Name
        type:
          type: string
          title: Type
        body:
          anyOf:
            - type: string
            - type: 'null'
          title: Body
        event_metadata:
          anyOf:
            - {}
            - type: 'null'
          title: Event Metadata
        task_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Task Id
        is_deleted:
          type: boolean
          title: Is Deleted
        deleted_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Deleted At
        edited_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Edited At
        edit_count:
          type: integer
          title: Edit Count
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - customer_id
        - agent_id
        - type
        - body
        - event_metadata
        - task_id
        - is_deleted
        - deleted_at
        - edited_at
        - edit_count
        - created_at
      title: ActivityResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````